Permalink
Browse files

removed outdated ebuilds of x11-libs/pixman via auto-sync

  • Loading branch information...
ahuemer committed Mar 26, 2011
1 parent 5bd3aea commit eedbd9da60139857472f9be4571285df9af3f6e1
Showing with 0 additions and 94 deletions.
  1. +0 −4 x11-libs/pixman/Manifest
  2. +0 −45 x11-libs/pixman/pixman-0.18.2.ebuild
  3. +0 −45 x11-libs/pixman/pixman-0.20.0.ebuild
View
@@ -1,7 +1,3 @@
-DIST pixman-0.18.2.tar.bz2 421621 RMD160 e6d89e6112a4f47bf2fd1a1cb0b8125b1161452c SHA1 d66ab37ebc111e8031dd6d0ff1edf19b7adab5be SHA256 28a061364e24092a2bde6c879a7492c63bad7d52dde7eef711648ee119423923
-DIST pixman-0.20.0.tar.bz2 441395 RMD160 c74c9358b77d210a6fd45ba1a613b5a70980b00a SHA1 2d9e3416f8bcf561a85c381a568d23fd53e0e922 SHA256 4798a9961bf38a1b25cabef0a8a73fd7dcc6b98da187ce55b1420894360188b5
DIST pixman-0.20.2.tar.bz2 446620 RMD160 f1a2ef1252e97a8948c8e5cf991c3978fa597619 SHA1 9972c8f8ce484f7649d9f588168cd29f61c05c63 SHA256 30316f269a6b84c32b47545ca7fc428fd16875849fea644dc6910b3f8c33f4a9
-EBUILD pixman-0.18.2.ebuild 1526 RMD160 023d97e007ae99995a0ac083278cc080dff2b658 SHA1 6386cb3a752e62724401fdb62cacf36469f4e6f7 SHA256 87057563e256be3d80c34c1adf205678d4f9b11625f8d6b4dbee435f3f0eb0a5
-EBUILD pixman-0.20.0.ebuild 1528 RMD160 0efd3fe50754a5f0bf443f3105bbaec61b7a9e8b SHA1 51f21a84bb9fafa6e2bd8a6d7a0b49159975a0f8 SHA256 73c2c3ca76b77be7d90074c4d8a0420cff94988299cf805f497af1257859ac35
EBUILD pixman-0.20.2.ebuild 1716 RMD160 f21145fa33bc085a67eb0675a8be0911d9e43ad0 SHA1 70a255a78d50cc6ec5fe4d657cb0ee877a9c5be8 SHA256 a1d27fc9ca134f93a77c99be162bb05880161c7485e3420f595d786abfef2431
EBUILD pixman-9999.ebuild 1360 RMD160 f91a406b4c643c3f1ef4ffc6382b56315ae776a1 SHA1 c6dd1ec434d379a9b8144d4c38509856a3c86248 SHA256 b98ba81092d65873b8b7fd914d8c0fb3dca1e2ca4693fa83a7a11d342c09d5b3
@@ -1,45 +0,0 @@
-# Copyright 1999-2010 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/pixman/pixman-0.18.2.ebuild,v 1.9 2010/10/21 01:20:36 ranger Exp $
-
-EAPI=3
-inherit xorg-2 toolchain-funcs versionator multilib-native
-
-EGIT_REPO_URI="git://anongit.freedesktop.org/git/pixman"
-DESCRIPTION="Low-level pixel manipulation routines"
-
-KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 s390 sh sparc x86 ~x86-fbsd"
-IUSE="altivec mmx sse2"
-
-multilib-native_pkg_setup_internal() {
- xorg-2_pkg_setup
- CONFIGURE_OPTIONS="
- $(use_enable altivec vmx)
- --disable-gtk"
-
- local enable_mmx="$(use mmx && echo 1 || echo 0)"
- local enable_sse2="$(use sse2 && echo 1 || echo 0)"
-
- # this block fixes bug #260287
- if use x86; then
- if use sse2 && ! $(version_is_at_least "4.2" "$(gcc-version)"); then
- ewarn "SSE2 instructions require GCC 4.2 or higher."
- ewarn "pixman will be built *without* SSE2 support"
- enable_sse2="0"
- fi
- fi
-
- # this block fixes bug #236558
- case "$enable_mmx,$enable_sse2" in
- '1,1')
- CONFIGURE_OPTIONS="${CONFIGURE_OPTIONS} --enable-mmx --enable-sse2" ;;
- '1,0')
- CONFIGURE_OPTIONS="${CONFIGURE_OPTIONS} --enable-mmx --disable-sse2" ;;
- '0,1')
- ewarn "You enabled SSE2 but have MMX disabled. This is an invalid."
- ewarn "pixman will be built *without* MMX/SSE2 support."
- CONFIGURE_OPTIONS="${CONFIGURE_OPTIONS} --disable-mmx --disable-sse2" ;;
- '0,0')
- CONFIGURE_OPTIONS="${CONFIGURE_OPTIONS} --disable-mmx --disable-sse2" ;;
- esac
-}
@@ -1,45 +0,0 @@
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/pixman/pixman-0.20.0.ebuild,v 1.7 2011/02/12 21:35:06 armin76 Exp $
-
-EAPI=3
-inherit xorg-2 toolchain-funcs versionator multilib-native
-
-EGIT_REPO_URI="git://anongit.freedesktop.org/git/pixman"
-DESCRIPTION="Low-level pixel manipulation routines"
-
-KEYWORDS="alpha amd64 arm hppa ia64 ~mips ~ppc ppc64 s390 sh sparc x86 ~x86-fbsd"
-IUSE="altivec mmx sse2"
-
-multilib-native_pkg_setup_internal() {
- xorg-2_pkg_setup
- CONFIGURE_OPTIONS="
- $(use_enable altivec vmx)
- --disable-gtk"
-
- local enable_mmx="$(use mmx && echo 1 || echo 0)"
- local enable_sse2="$(use sse2 && echo 1 || echo 0)"
-
- # this block fixes bug #260287
- if use x86; then
- if use sse2 && ! $(version_is_at_least "4.2" "$(gcc-version)"); then
- ewarn "SSE2 instructions require GCC 4.2 or higher."
- ewarn "pixman will be built *without* SSE2 support"
- enable_sse2="0"
- fi
- fi
-
- # this block fixes bug #236558
- case "$enable_mmx,$enable_sse2" in
- '1,1')
- CONFIGURE_OPTIONS="${CONFIGURE_OPTIONS} --enable-mmx --enable-sse2" ;;
- '1,0')
- CONFIGURE_OPTIONS="${CONFIGURE_OPTIONS} --enable-mmx --disable-sse2" ;;
- '0,1')
- ewarn "You enabled SSE2 but have MMX disabled. This is an invalid."
- ewarn "pixman will be built *without* MMX/SSE2 support."
- CONFIGURE_OPTIONS="${CONFIGURE_OPTIONS} --disable-mmx --disable-sse2" ;;
- '0,0')
- CONFIGURE_OPTIONS="${CONFIGURE_OPTIONS} --disable-mmx --disable-sse2" ;;
- esac
-}

0 comments on commit eedbd9d

Please sign in to comment.